%define origname gift-gnutella

Name: gift-plugin-gnutella
Version: 0.0.9.2
Release: alt2
License: GPL
Group: Networking/Other
Url: http://gift.sourceforge.net/
Source0: %origname-%version.tar.bz2
Summary: Gnutella plugin for giFT
Summary(ru_RU.KOI8-R):   gift   Gnutella
Requires: giftd >= 0.11.4-alt4
Obsoletes: %origname

# Automatically added by buildreq on Mon Jan 05 2004
BuildRequires: gcc-c++, glib2, libgift-devel >= 0.11.4-alt4, libgiftproto-devel >= 0.11.4-alt4, libstdc++-devel, pkgconfig, zlib-devel

%description
Use this package to connect to Gnutella networks using giFT

%prep
%setup -q -n %origname-%version

%build
./configure --prefix=%prefix
make

%install
make "DESTDIR=$RPM_BUILD_ROOT" install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/*
%_datadir/*

%changelog
* Thu May 20 2004 Vasya Borisov <vasy@altlinux.ru> 0.0.9.2-alt2
- rename to gift-plugin-gnutella
- some spec clean
* Mon Feb 09 2004 Vasya Borisov <vasy@altlinux.ru> 0.0.9.2-alt1
- New version 0.0.9.2:
  - Fix FILE* leak in file_cache.c that has been around for a while
    but was made worse by syncing the nodes files periodically.
  - Don't potentially poll the CPU when the remote side closes the zlib
    stream with Z_FINISH.
* Mon Jan 05 2004 Vasya Borisov <vasy@altlinux.ru>  0.0.9.1-alt1
- New version 0.0.9.1:
    - Fix compile problem with 0.0.8 on big-endian platforms.
    - Deactivate the plugin if it's more than one year old.
    - Close all searches when plugin is unloaded.
* Fri Dec 05 2003 Vasya Borisov <vasy@altlinux.ru>  0.0.7-alt3
- Rebuild with new libgift
* Mon Dec 01 2003 Vasya Borisov <vasy@altlinux.ru>  0.0.7-alt2
- Rebuild with new libgift
* Wed Oct 08 2003 Vasya Borisov <vasy@altlinux.ru> 0.0.7-alt1
- Initial release for Sisyphus
